#include <stdio.h>
#include <stdlib.h>

void evaluate_polynomial(double x, double *coefficients, int n) {
    double result = coefficients[0];

    // Применение метода Хорнера
    for (int i = 1; i < n; i++) {
        result = result * x + coefficients[i];
    }

    // Округление результата до двух знаков после запятой
    printf("Vysledok je: %.2f\n", result);
}

int main() {
    double x;
    int n = 0;

    // Ввод значения x
    if (scanf("%lf", &x) != 1) {
        printf("Chyba: Neplatne x\n");
        return 1;
    }

    // Преобразование запятой в точку в числе
    char c;
    while ((c = getchar()) != '\n' && c != EOF) {
        if (c == ',') {
            ungetc('.', stdin); // Заменяем запятую на точку
        } else {
            ungetc(c, stdin);
            break;
        }
    }

    double coefficients[100];  // Массив для коэффициентов полинома

    // Чтение коэффициентов
    while (1) {
        if (scanf("%lf", &coefficients[n]) != 1) {
            if (n == 0) {
                printf("Nepodarilo sa nacitat polynom na 2 mieste.\n");
                return 1;
            }
            break; // Прекращаем чтение, если введены все коэффициенты
        }
        n++;
    }

    // Если не было введено хотя бы одного коэффициента
    if (n == 0) {
        printf("Chyba: Nebyly zadany koeficienty\n");
        return 1;
    }

    // Вызов функции для вычисления полинома
    evaluate_polynomial(x, coefficients, n);

    return 0;
}
